<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<!-- start of server/head-include-1.html -->
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rev="made" href="mailto:webmasters@gnu.org" />
<link rel="icon" type="image/png" href="/graphics/gnu-head-mini.png" />
<meta name="ICBM" content="42.355469,-71.058627" />
<meta name="DC.title" content="gnu.org" />
<link rel="stylesheet" href="/reset.css" media="screen" />
<link rel="stylesheet" href="/mini.css" media="handheld" />
<link rel="stylesheet" href="/layout.min.css" media="screen" />
<link rel="stylesheet" href="/print.min.css" media="print" />
<!-- end of server/head-include-1.html -->

<!-- end of server/header.html -->

<!-- Parent-Version: 1.79 -->
<title>Measures Governments Can Use to Promote Free Software
- GNU Project - Free Software Foundation</title>
<!-- begin translist file -->

<link rel="alternate" type="text/html" href="/philosophy/government-free-software.html" hreflang="x-default" />
<link rel="alternate" type="text/html" lang="en" hreflang="en" href="/philosophy/government-free-software.en.html" title="English" />
<link rel="alternate" type="text/html" lang="ar" hreflang="ar" href="/philosophy/government-free-software.ar.html" title="العربية" />
<link rel="alternate" type="text/html" lang="de" hreflang="de" href="/philosophy/government-free-software.de.html" title="Deutsch" />
<link rel="alternate" type="text/html" lang="el" hreflang="el" href="/philosophy/government-free-software.el.html" title="ελληνικά" />
<link rel="alternate" type="text/html" lang="es" hreflang="es" href="/philosophy/government-free-software.es.html" title="español" />
<link rel="alternate" type="text/html" lang="fr" hreflang="fr" href="/philosophy/government-free-software.fr.html" title="français" />
<link rel="alternate" type="text/html" lang="hr" hreflang="hr" href="/philosophy/government-free-software.hr.html" title="hrvatski" />
<link rel="alternate" type="text/html" lang="it" hreflang="it" href="/philosophy/government-free-software.it.html" title="italiano" />
<link rel="alternate" type="text/html" lang="ja" hreflang="ja" href="/philosophy/government-free-software.ja.html" title="日本語" />
<link rel="alternate" type="text/html" lang="nl" hreflang="nl" href="/philosophy/government-free-software.nl.html" title="Nederlands" />
<link rel="alternate" type="text/html" lang="pl" hreflang="pl" href="/philosophy/government-free-software.pl.html" title="polski" />
<link rel="alternate" type="text/html" lang="ru" hreflang="ru" href="/philosophy/government-free-software.ru.html" title="русский" />
<!-- end translist file -->

<!-- start of server/banner.html -->
<!-- start of head-include-2.html -->
<meta name="viewport" content="width=device-width, initial-scale=1" />
<!-- end of head-include-2.html -->

</head>
<body>
<div class="inner">
<!-- start of server/body-include-1.html -->





<div id="toplinks">
 <a href="#content">Skip to main text</a>
 <span class="gnun-split"></span>
 <a href="/server/select-language.html?callback=/philosophy/government-free-software.html" rel="nofollow">
 Set language
 <span class="gnun-split"></span>
 </a>
</div> <!-- /toplinks -->

<div id="searcher">
 <form method="get" action="//www.gnu.org/cgi-bin/estseek.cgi" class="header">
  <div>
  <input name="phrase" id="phrase" type="text" size="18" accesskey="s"
         value="Why GNU/Linux?" onfocus="this.value=''" />
  <input type="submit" value="Search" />
  </div>
 </form>
</div><!-- /searcher -->

<div id="translations">
<p>
<span dir="ltr" class="original"><a lang="en" hreflang="en" href="/philosophy/government-free-software.en.html">English</a>&nbsp;[en]</span> &nbsp;
<span dir="ltr"><a lang="ar" hreflang="ar" href="/philosophy/government-free-software.ar.html">العربية</a>&nbsp;[ar]</span> &nbsp;
<span dir="ltr"><a lang="de" hreflang="de" href="/philosophy/government-free-software.de.html">Deutsch</a>&nbsp;[de]</span> &nbsp;
<span dir="ltr"><a lang="el" hreflang="el" href="/philosophy/government-free-software.el.html">ελληνικά</a>&nbsp;[el]</span> &nbsp;
<span dir="ltr"><a lang="es" hreflang="es" href="/philosophy/government-free-software.es.html">español</a>&nbsp;[es]</span> &nbsp;
<span dir="ltr"><a lang="fr" hreflang="fr" href="/philosophy/government-free-software.fr.html">français</a>&nbsp;[fr]</span> &nbsp;
<span dir="ltr"><a lang="hr" hreflang="hr" href="/philosophy/government-free-software.hr.html">hrvatski</a>&nbsp;[hr]</span> &nbsp;
<span dir="ltr"><a lang="it" hreflang="it" href="/philosophy/government-free-software.it.html">italiano</a>&nbsp;[it]</span> &nbsp;
<span dir="ltr"><a lang="ja" hreflang="ja" href="/philosophy/government-free-software.ja.html">日本語</a>&nbsp;[ja]</span> &nbsp;
<span dir="ltr"><a lang="nl" hreflang="nl" href="/philosophy/government-free-software.nl.html">Nederlands</a>&nbsp;[nl]</span> &nbsp;
<span dir="ltr"><a lang="pl" hreflang="pl" href="/philosophy/government-free-software.pl.html">polski</a>&nbsp;[pl]</span> &nbsp;
<span dir="ltr"><a lang="ru" hreflang="ru" href="/philosophy/government-free-software.ru.html">русский</a>&nbsp;[ru]</span> &nbsp;
</p>
</div>

<!-- end of server/body-include-1.html -->

<!-- start of server/body-include-2 -->
<div id="header">
<div id="fsf-frame">
<p id="join-fsf"><a href="https://www.fsf.org/associate/support_freedom?referrer=4052">JOIN&nbsp;THE&nbsp;FSF</a></p>
<div id="fssbox">
<p><a href="//www.fsf.org/fss">Free Software Supporter</a></p>
<form action="https://my.fsf.org/civicrm/profile/create?reset=1&amp;gid=31"
 method="post" class="header">
 <div>
  <input name="postURL" type="hidden" value="" />
  <input type="hidden" name="group[25]" value="1" />
  <input name="cancelURL" type="hidden" value="https://crm.fsf.org/civicrm/profile?reset=1&amp;gid=31" />
  <input name="_qf_default" type="hidden" value="Edit:cancel" />
 </div>
 <p>
  <input type="text" id="frmEmail" name="email-Primary" size="18" maxlength="80"
         value="email address" onfocus="this.value=''"/>
  <input type="submit" name="_qf_Edit_next" value="Sign up" />
 </p>
</form>
</div><!-- /fssbox -->
</div><!-- /fsf-frame -->

<div id="gnu-banner">
 <a href="/">
 <img src="/graphics/heckert_gnu.small.png" alt=" [A GNU head] " /><strong>GNU</strong> Operating System</a>

<p id="fsf-support">Sponsored by the <a href="#mission-statement">Free Software Foundation</a></p>
</div><!-- /gnu-banner -->
</div><!-- /header -->

<div id="navigation">
 <ul>



   <li id="tabAboutGNU"><a href="/gnu/gnu.html">ABOUT&nbsp;GNU</a></li>


  <li id="tabPhilosophy" class="active">
     <span class='no-display'>=</span> 
    <a href="/philosophy/philosophy.html">PHILOSOPHY</a>
    <span class="gnun-split"></span>
     <span class='no-display'>=</span> 
  </li>


  <li id="tabLicenses"><a href="/licenses/licenses.html">LICENSES</a></li>


  <li id="tabEducation"><a href="/education/education.html">EDUCATION</a></li>


  <li id="tabSoftware"><a href="/software/software.html">SOFTWARE</a></li>


  <li id="tabDoc"><a href="/doc/doc.html">DOCUMENTATION</a></li>


  <li id="tabHelp"><a href="/help/help.html">HELP&nbsp;GNU</a></li>

 </ul>
</div><!--  /navigation -->
<!-- end of server/body-include-2 -->

<div id="content">
<!-- end of server/banner.html -->

<h2>Measures Governments Can Use to Promote Free Software</h2>
<h3>And why it is their duty to do so</h3>

<p>by <a href="http://www.stallman.org/"><strong>Richard
Stallman</strong></a></p>

<p>This article suggests policies for a strong and firm effort to promote
free software within the state, and to lead the rest of the country
towards software freedom.</p>

<p>The mission of the state is to organize society for the freedom and
well-being of the people.  One aspect of this mission, in the
computing field, is to encourage users to adopt free software:
<a href="/philosophy/free-sw.html">software that respects the users'
freedom</a>.  A proprietary (non-free) program tramples the freedom of
those that use it; it is a social problem that the state should work
to eradicate.</p>

<p>The state needs to insist on free software in its own computing for
the sake of its computational sovereignty (the state's control over
its own computing).  All users deserve control over their computing,
but the state has a responsibility to the people to maintain control
over the computing it does on their behalf.  Most government
activities now depend on computing, and its control over those
activities depends on its control over that computing.  Losing this
control in an agency whose mission is critical undermines national
security.</p>

<p>Moving state agencies to free software can also provide secondary
benefits, such as saving money and encouraging local software support
businesses.</p>

<p>In this text, &ldquo;state entities&rdquo; refers to all levels of government, and
means public agencies including schools, public-private partnerships,
largely state-funded activities such as charter schools, and &ldquo;private&rdquo;
corporations controlled by the state or established with special
privileges or functions by the state.</p>

<h3>Education</h3>
<p>The most important policy concerns education, since that shapes
the future of the country:</p>

<ul>
<li><b>Teach only free software</b><br />
Educational activities, or at least those of state entities, must
teach only free software (thus, they should never lead students to use
a nonfree program), and should teach the civic reasons for insisting
on free software.  To teach a nonfree program is to teach dependence,
which is contrary to the mission of the school.</li>
</ul>

<h3>The State and the Public</h3>
<p>Also crucial are state policies that influence what software
individuals and organizations use:</p>

<ul>
<li><p><b>Never require nonfree programs</b><br />
Laws and public sector practices must be changed so that they never
require or pressure individuals or organizations to use a nonfree
program.  They should also discourage communication and publication
practices that imply such consequences (including
<a href="http://www.defectivebydesign.org/what_is_drm">Digital
Restrictions Management</a>).</p></li>

<li><p><b>Distribute only free software</b><br />
Whenever a state entity distributes software to the public,
including programs included in or specified by its web pages, it must
be distributed as free software, and must be capable of running on a
platform containing exclusively free software.</p></li>

<li><p><b>State web sites</b><br />
State entity web sites and network services must be designed so
that users can use them, without disadvantage, by means of free
software exclusively.</p></li>

<li><p><b>Free formats and protocols</b><br />
State entities must use only file formats and communication
protocols that are well supported by free software, preferably with
published specifications.  (We do not state this in terms of
&ldquo;standards&rdquo; because it should apply to nonstandardized interfaces as
well as standardized ones.)  For example, they must not distribute
audio or video recordings in formats that require Flash or nonfree
codecs, and public libraries must not distribute works with Digital
Restrictions Management.</p>

<p>To support the policy of distributing publications and works in
freedom-respecting formats, the state must insist that all reports
developed for it be delivered in freedom-respecting formats.</p></li>

<li><p><b>Untie computers from licenses</b><br />
Sale of computers must not require purchase of a proprietary
software license.  The seller should be required by law to offer the
purchaser the option of buying the computer without the proprietary
software and without paying the license fee.</p>
<p>The imposed payment is a secondary wrong, and should not distract
us from the essential injustice of proprietary software, the loss of
freedom which results from using it.  Nonetheless, the abuse of
forcing users to pay for it gives certain proprietary software
developers an additional unfair advantage, detrimental to users'
freedom.  It is proper for the state to prevent this abuse.</p>
</li>
</ul>

<h3>Computational Sovereignty</h3>
<p>Several policies affect the computational sovereignty of the state.
State entities must maintain control over their computing, not cede
control to private hands.  These points apply to all computers,
including smartphones.</p>

<ul>
<li><p><b>Migrate to free software</b><br />
State entities must migrate to free software, and must not install,
or continue using, any nonfree software except under a temporary
exception.  Only one agency should have the authority to grant these
temporary exceptions, and only when shown compelling reasons.  This
agency's goal should be to reduce the number of exceptions to zero.</p></li>

<li><p><b>Develop free IT solutions</b><br />
When a state entity pays for development of a computing solution, the
contract must require it be delivered as free software, and that it be
designed such that one can both run it and develop it on a 100%-free
environment.  All contracts must require this, so that if the
developer does not comply with these requirements, the work cannot be
paid for.</p></li>

<li><p><b>Choose computers for free software</b><br />
When a state entity buys or leases computers, it must choose among
the models that come closest, in their class, to being capable of
running without any proprietary software.  The state should maintain,
for each class of computers, a list of the models authorized based on
this criterion.  Models available to both the public and the state
should be preferred to models available only to the state.</p></li>

<li><p><b>Negotiate with manufacturers</b><br />
The state should negotiate actively with manufacturers to bring
about the availability in the market (to the state and the public) of
suitable hardware products, in all pertinent product areas, that
require no proprietary software.</p></li>

<li><p><b>Unite with other states</b><br />
The state should invite other states to negotiate collectively with
manufacturers about suitable hardware products.  Together they will
have more clout.</p></li>
</ul>

<h3>Computational Sovereignty II</h3>
<p>The computational sovereignty (and security) of the state includes
control over the computers that do the state's work.  This requires
avoiding <a href="/philosophy/who-does-that-server-really-serve.html">
Service as a Software Substitute</a>, unless the service is run by a state
agency under the same branch of government, as well as other practices
that diminish the state control over its computing.  Therefore,</p>

<ul>
<li><b>State must control its computers</b><br />
Every computer that the state uses must belong to or be leased by
the same branch of government that uses it, and that branch must not
cede to outsiders the right to decide who has physical access to the
computer, who can do maintenance (hardware or software) on it, or
what software should be installed in it.  If the computer is not
portable, then while in use it must be in a physical space of which
the state is the occupant (either as owner or as tenant).</li>
</ul>

<h3>Influence Development</h3>
<p>State policy affects free and nonfree software development:</p>

<ul>
<li><p><b>Encourage free</b><br />
The state should encourage developers to create or enhance free
software and make it available to the public, e.g. by tax breaks
and other financial incentive.  Contrariwise, no such incentives
should be granted for development, distribution or use of nonfree
software.</p></li>

<li><p><b>Don't encourage nonfree</b><br />
In particular, proprietary software developers should not be able to
&ldquo;donate&rdquo; copies to schools and claim a tax write-off for the nominal
value of the software.  Proprietary software is not legitimate in a
school.</p></li>
</ul>

<h3>E-waste</h3>
<p>Freedom should not imply e-waste:</p>

<ul>
<li><p><b>Replaceable software</b><br />
Many modern computers are designed to make it impossible to
replace their preloaded software with free software.  Thus, the only
way to free them is to junk them.  This practice is harmful to
society.</p>

<p>Therefore, it should be illegal, or at least substantially
discouraged through heavy taxation, to sell, import or distribute in
quantity a new computer (that is, not second-hand) or computer-based
product for which secrecy about hardware interfaces or intentional
restrictions prevent users from developing, installing and using
replacements for any and all of the installed software that the
manufacturer could upgrade.  This would apply, in particular, to any
device on which <a href="/proprietary/proprietary-jails.html">&ldquo;jailbreaking&rdquo;</a> is needed to install a
different operating system, or in which the interfaces for some
peripherals are secret.
</p></li>
</ul>

<h3>Technological neutrality</h3>

<p>With the measures in this article, the state can recover control
over its computing, and lead the country's citizens, businesses and
organizations towards control over their computing.  However, some
object on the grounds that this would violate the
&ldquo;principle&rdquo; of technological neutrality.</p>

<p>The idea of technological neutrality is that the state should not
impose arbitrary preferences on technical choices.  Whether that is a
valid principle is disputable, but it is limited in any case to issues
that are merely technical.  The measures advocated here address issues
of ethical, social and political importance, so they are
<a href="/philosophy/technological-neutrality.html">outside the scope
of <em>technological</em> neutrality</a>.  Only those who wish to
subjugate a country would suggest that its government be
&ldquo;neutral&rdquo; about its sovereignty or its citizens' freedom.</p>

</div><!-- for id="content", starts in the include above -->

              <!-- begin server/footer-text.html -->
<p id="backtotop"><a href="#header">BACK TO TOP</a></p>

<hr class="no-display" />
<div id="fsf-links">
 <ul>
  <li><a href="//www.fsf.org/">FSF</a></li>
  <li><a href="//directory.fsf.org">FREE&nbsp;SOFTWARE&nbsp;DIRECTORY</a></li>
  <li><a href="https://h-node.org/">HARDWARE</a></li>
  <li><a href="/graphics/graphics.html">GNU&nbsp;ART</a></li>
  <li><a href="/people/people.html">GNU'S&nbsp;WHO?</a></li>
  <li><a href="/server/sitemap.html">SITE&nbsp;MAP</a></li>
 </ul>
</div><!-- /fsf-links -->

<div id="mission-statement">

<blockquote>
<p><a href="//www.fsf.org"><img id="fsfbanner"
src="/graphics/fsf-logo-notext-small.png" alt=" [FSF logo] "/></a><strong>&ldquo;Our
mission is to preserve, protect and promote the freedom to use, study,
copy, modify, and redistribute computer software, and to defend the
rights of Free Software users.&rdquo;</strong></p>
</blockquote>

<p>The <a href="//www.fsf.org">Free Software Foundation</a> is
the principal organizational sponsor of the GNU Operating System.
<strong>Support GNU and the FSF</strong> by <a
href="//shop.fsf.org/">buying manuals and gear</a>, <a
href="https://my.fsf.org/associate/support_freedom?referrer=4052">
<strong>joining the FSF</strong></a> as an associate member, or making
a <strong>donation</strong>, either <a
href="//donate.fsf.org/">directly to the FSF</a> or <a
href="https://flattr.com/thing/313733/gnuproject-on-Flattr">via
Flattr</a>.</p>

</div><!-- /mission-statement -->
<!-- end server/footer-text.html -->


<div id="footer">
<div class="unprintable">

<p>Please send general FSF &amp; GNU inquiries to <a
href="mailto:gnu@gnu.org">&lt;gnu@gnu.org&gt;</a>.  There are also <a
href="/contact/">other ways to contact</a> the FSF.  Broken links and other
corrections or suggestions can be sent to <a
href="mailto:webmasters@gnu.org">&lt;webmasters@gnu.org&gt;</a>.</p>

<p><!-- TRANSLATORS: Ignore the original text in this paragraph,
        replace it with the translation of these two:

        We work hard and do our best to provide accurate, good quality
        translations.  However, we are not exempt from imperfection.
        Please send your comments and general suggestions in this regard
        to <a href="mailto:web-translators@gnu.org">
        &lt;web-translators@gnu.org&gt;</a>.</p>

        <p>For information on coordinating and submitting translations of
        our web pages, see <a
        href="/server/standards/README.translations.html">Translations
        README</a>. -->
Please see the <a
href="/server/standards/README.translations.html">Translations README</a> for
information on coordinating and submitting translations of this article.</p>
</div>

<p>Copyright &copy; 2011, 2015, 2016, 2017 Free Software Foundation, Inc.</p>

<p>This page is licensed under a <a rel="license"
href="http://creativecommons.org/licenses/by-nd/4.0/">Creative
Commons Attribution-NoDerivatives 4.0 International License</a>.</p>

<!-- start of server/bottom-notes.html -->
<div id="bottom-notes" class="unprintable">
<p><a href="//www.fsf.org/about/dmca-notice">Copyright Infringement Notification</a></p>
<div id="generic">


</div>
</div>
<!-- end of server/bottom-notes.html -->


<p class="unprintable">Updated:
<!-- timestamp start -->
$Date: 2017/06/25 12:25:42 $
<!-- timestamp end -->
</p>
</div>
</div>
</body>
</html>
